%global debug_package %{nil}

Name:                    lzfse
Version:                 1.0
Release:                 1%{?dist}
Summary:                 LZFSE compression library and command line tool

License:                 BSD
URL:                     https://github.com/lzfse/lzfse
Source0:                 https://github.com/lzfse/lzfse/archive/refs/tags/lzfse-1.0.tar.gz

BuildRequires:           git
BuildRequires:           make
BuildRequires:           automake
BuildRequires:           gcc
BuildRequires:           libtool
BuildRequires:           gcc-c++
%description
This is a reference C implementation of the LZFSE compressor introduced in the Compression library with OS X 10.11 and iOS 9.

LZFSE is a Lempel-Ziv style data compression algorithm using Finite State Entropy coding. It targets similar compression rates at higher compression and decompression speed compared to deflate using zlib.




%prep
%autosetup

%build
make

%install
install -Dm755 build/bin/lzfse %{buildroot}/usr/bin/lzfse
install -d %{buildroot}/usr/{include,lib}
install -Dm644 src/lzfse.h %{buildroot}/usr/include/lzfse.h
install -Dm644 build/bin/liblzfse.a %{buildroot}/usr/lib/
install -d %{buildroot}/usr/share/licenses/lzfse
install -Dm644 LICENSE %{buildroot}/usr/share/licenses/lzfse/

%files
/usr/bin/lzfse
/usr/include/lzfse.h
/usr/lib/liblzfse.a
/usr/share/licenses/lzfse/LICENSE


%changelog
* Fri Feb 25 2022 Leo Puvilland <leo@craftcat.dev>
- Initial Package
